// import 'package:dio/dio.dart';
// import 'package:flutter/material.dart';
// import 'package:flutter_mobx/flutter_mobx.dart';
// import 'package:flutter_widgets_library/repositories/nodestr-repository.dart';
// import 'package:flutter_widgets_library/repositories/shared-preferences-repository.dart';
// import 'package:flutter_widgets_library/stores/user-store.dart';
// import 'package:flutter_widgets_library/view/home-screen.dart';
// import 'package:flutter_widgets_library/view/login-screen.dart';
// import 'package:flutter_widgets_library/view/signup-screen.dart';
// import 'package:flutter_widgets_library/view/splash-screen.dart';
// import 'package:flutter_widgets_library/view/widgets/VIC-App/login.dart';
// import 'package:get_it/get_it.dart';
// import 'package:flutter_widgets_library/provider/theme_provider.dart';
// import 'package:provider/provider.dart';

// void main() {
//   WidgetsFlutterBinding.ensureInitialized();
//   GetIt getIt = GetIt.instance;
//   getIt.registerSingleton<Dio>(Dio());
//   getIt.registerSingleton<NodeStrRepository>(
//       NodeStrRepository(getIt.call<Dio>()));
//   getIt.registerSingleton<SharedPreferencesRepository>(
//       SharedPreferencesRepository());
//   getIt.registerLazySingleton<UserStore>(() => UserStore());
//   runApp(
//     ChangeNotifierProvider(
//       create: (BuildContext context) => ThemeProvider(),
//       child: MyApp(),
//     ),
//   );
// }

// class MyApp extends StatelessWidget {
//   @override
//   Widget build(BuildContext context) {
//     return Observer(builder: (_) {
//       return MaterialApp(
//         debugShowCheckedModeBanner: false,
//         title: 'Flutter Design',
//         //theme: _userController.themeApp,
//         theme: Provider.of<ThemeProvider>(context).currentTheme,
//         initialRoute: '/',
//         routes: {
//           '/': (context) => SplashScreen(),
//           '/login': (context) => Login(),
//           '/signup': (context) => SignaUpScreen(),
//           '/home': (context) => Login(),
//         },
//       );
//     });
//   }
// }
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/splash.dart';

void main() {
  runApp(MaterialApp(debugShowCheckedModeBanner: false, home: SplashScreen()));
}
