import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-compositeCard.dart';
import 'package:flutter_widgets_library/view/widgets/custom-icon.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-datatable.dart';



class VendorPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {


    void onButtonPressed(bool b) {
      print("b");
    }
    FlatButtonParameters finalObject = new FlatButtonParameters(color: MediumGreyThemeData().buttonColor,buttonText: 'Submit', onPressed: onButtonPressed);



    IconState icon =new IconState(Icons.timer, Colors.red,200.0);

    Rows row1=new Rows(["Request Service", "Request Service", "Request Service"]);
    List<Rows> rows=[];
    rows.add(row1);

    Columns column = new Columns(["Service1", "Service2", "Service3"]);
    DataTableSchema dt=new DataTableSchema(column, 1, false, rows );

    CustomCompositeCardParameters card1 = new CustomCompositeCardParameters(
        flexColumn1: 3,
        flexColumn2: 5,
        title: "Sample Title",
        subtitle: "Sample Subtitle",
        rightHandWidgets: [
          Center(
            child: Text("Vendor Name", style: TextStyle(fontSize:20 ,fontWeight: FontWeight.bold), ),
          ),

          Text("A short write up about the vendor")
        ],
        leftHandWidgets: [
            CustomisedIcon(icon)
        ]);
    List<CustomCompositeCardParameters> listcards = [];
    listcards.add(card1);
    Widget widget=CompositeCard(listcards);
    return Scaffold(
      appBar: AppBar(
        title: Text('Material Components'),
        backgroundColor: MediumGreyThemeData().highlightColor,
      ),
      body: Center(
        child: Container(
          child: SingleChildScrollView(
            child: Container(
              child: Column(
                children: <Widget>[
                  widget,
                  Padding(
                    padding: const EdgeInsets.all(10.0),
                    child: CustomisedDataTable(dt),

                  ),
                  CustomFlatButton(finalObject)

                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
