import 'package:flutter/material.dart';


class PwCIntrinsicWidth extends StatelessWidget {

  final double stepHeight;
  final double stepWidth;
  final Widget child;

  const PwCIntrinsicWidth({
    Key key,
    this.stepHeight,
    this.stepWidth,
    this.child,

  }) :super(key: key);

  @override
  Widget build(BuildContext context) {
    return IntrinsicWidth(
      stepHeight: stepHeight,
      stepWidth: stepWidth,
      child: child,
      key: key,

    );

  }
}