import 'package:flutter/material.dart';



class PwCLimitedBox extends StatelessWidget {

  final double maxHeight;
  final double maxWidth;
  final Widget child;




  PwCLimitedBox({
    Key key,

    this.maxHeight,
    this.maxWidth,
    this.child,

  }) : super(key: key);


  @override
  Widget build(BuildContext context) {
    return LimitedBox(
      maxWidth: maxWidth,
      maxHeight: maxHeight,
      child: child,
      key: key,

    );

  }
}