import 'package:flutter/material.dart';


class PwCOffStage extends StatelessWidget {

  final bool offstage;
  final Widget child;

  const PwCOffStage({
    Key key,
    this.offstage=true,
    this.child,
  }) : assert(offstage != null),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Offstage(
      offstage: offstage,
      child: child,
      key: key,

    );
  }
}