import 'package:flutter/material.dart';

class PwCOverFlowBox extends StatelessWidget {
  final double maxHeight;
  final double maxWidth;
  final double minHeight;
  final double minWidth;
  final Widget child;
  final AlignmentGeometry alignment;


  const PwCOverFlowBox({
    Key key,
    this.maxHeight,
    this.maxWidth,
    this.minHeight,
    this.minWidth,
    this.child,
    this.alignment = Alignment.center,

  }) :
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return OverflowBox(
      maxHeight: maxHeight,
      maxWidth: maxWidth,
      minWidth: minWidth,
      minHeight: minHeight,
      child: child,
      alignment: alignment,
      key: key,

    );

  }
}



