import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/service-history.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';
import '../../../theme/theme.dart';
import '../../../utils/widget-classesUsed.dart';
import '../custom-divider.dart';
import '../custom_AlertDialogs.dart';

class PiggyBank extends StatelessWidget {
  static onButtonTap(String sText) {
    print(sText);
  }

  @override
  Widget build(BuildContext context) {
    onclickOk(bool b) {
      Navigator.pop(context);
    }

    onclickMore(bool b) {
      Navigator.push(
          context, MaterialPageRoute(builder: (context) => ServiceHistory()));
    }

    CustomDividerParameters dividerParameters = new CustomDividerParameters(
        height: 1,
        thickness: 2,
        indent: 1,
        endIndent: 1,
        color: StartupTheme().splashColor);
    FlatButtonParameters btnobject = new FlatButtonParameters(
      buttonText: 'More',
      minWidth: 300,
      height: 50,
      onPressed: onclickMore,
      color: StartupTheme().accentColor,
      textColor: StartupTheme().splashColor,
      shape: new RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(20.0),
          side: BorderSide(
              color: StartupTheme().splashColor, width: button_borderWidth)),
      focusColor: StartupTheme().accentColor,
    );
    FlatButtonParameters btnobject1 = new FlatButtonParameters(
        buttonText: 'Ok',
        minWidth: 300,
        height: 50,
        onPressed: onclickOk,
        color: StartupTheme().splashColor);

    AlertDialogContents alertObj1 = new AlertDialogContents(
      FlatButton(
        //color: StartupTheme().splashColor,
        child: Text(
          "Accept",
          style: TextStyle(color: StartupTheme().splashColor),
        ),
      ),
      FlatButton(
        //color: StartupTheme().splashColor,
        child: Text(
          "Cancel",
          style: TextStyle(color: StartupTheme().splashColor),
        ),
      ),
      "Total available grants:\n ₹" +
          grantBalance.toString() +
          "\n\n"
              "Miscellaneous balance:\n"
              "₹ 500000",
      Container(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Text(
              "Balance",
              textAlign: TextAlign.left,
              style: TextStyle(fontSize: 30.0),
            ),
            SizedBox(
              height: 5,
            ),
            CustomDivider(dividerParameters),
            SizedBox(
              height: 5,
            )
          ],
        ),
      ),
    );
    AlertDialogParameters alertobj2 = new AlertDialogParameters(
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20.0)),
      backgroundColor: StartupTheme().accentColor,
      elevation: 30,
    );
    //AlertDialogParameters finalObj = new AlertDialogParameters(alertObj1);

    return customAlertDialog(
        alertObj1, alertobj2, onButtonTap, btnobject, btnobject1);
  }
}
