import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/custom-divider.dart';

Widget CustomSliverAppBar(SliverAppBarParameters params){
  return SliverAppBar(
    title: params.title,
    leading: params.leading,
    actions: params.actions,
    backgroundColor: MediumGreyThemeData().accentIconTheme.color,
    bottom: params.bottom,
    iconTheme: MediumGreyThemeData().iconTheme,
    centerTitle: (params.centerTitle==null)?false:params.centerTitle,
    floating: true,
  );
}
