import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';



  Widget showTabBarView(List<TabBarProducts> tabItems) {
    List<Tab> tab=[];
    var item;
    for(var i=0;i<tabItems.length;i++){
      item=new Tab(text:tabItems[i].text,icon:tabItems[i].icons!=null?tabItems[i].icons:Icon(Icons.favorite));
      tab.add(item);

    }
    List<Widget> widgets=[];
    for(var i=0;i<tabItems.length;i++){
      item=tabItems[i].widget;
      widgets.add(item);
    }



    return DefaultTabController(
      length:tabItems.length,

         child:new Scaffold(
           backgroundColor:MediumGreyThemeData().scaffoldBackgroundColor,
             appBar: new AppBar(
               backgroundColor:MediumGreyThemeData().scaffoldBackgroundColor,

          bottom:TabBar(
            labelColor: MediumGreyThemeData().iconTheme.color,
            indicatorColor: AppColorsMediumGrey.black,
            unselectedLabelColor: MediumGreyThemeData().hoverColor,
            indicator: BoxDecoration(
              boxShadow: [
                BoxShadow(color: AppColorsYellow.tdColor, offset: cons.offsetDefault)
              ],
              color: AppColorsYellow.tColor,

            ),
            tabs: tab,

          ),


           ),
                 body: new TabBarView
             (
                   children: widgets,


                 ),


         ),


    );
  }
