import 'package:flutter/material.dart';

class PwcCircularProgressIndicator extends StatefulWidget {


  final double value;
  final Key key;
  final Animation<Color> valueColor;
  final Color backgroundColor;
  final double strokeWidth;
  final String semanticsLabel;
  final String SemanticsValue;

  const PwcCircularProgressIndicator({
    this.value, this.valueColor, this.backgroundColor, this.strokeWidth, this.semanticsLabel, this.SemanticsValue, this.key,
  })
      :
        assert(value != null),
        super(key: key);


  @override
  _PwcCircularProgressIndicatorState createState() {
    // TODO: implement createState
    return _PwcCircularProgressIndicatorState();
  }
}


class _PwcCircularProgressIndicatorState extends State<PwcCircularProgressIndicator>{
  @override
  Widget build(BuildContext context) {
    return new Container(
      child: CircularProgressIndicator(
        value: widget.value,
      ),
    );
  }
}

/*
void main() {
  runApp(App());
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: "",
      home: Scaffold(
        appBar: AppBar(
          title: Text(""),
        ),
        body: Center(
            child: PwcCircularProgressIndicator(value:50.0,)
        ),
      ),
    );
  }
}*/
