import 'package:flutter/material.dart';

class PwcDataTable extends StatefulWidget {
  final Key key;
  final List<DataColumn> columns;
  final int sortColumnIndex;
  final bool sortAscending;
  final ValueSetter<bool> onSelectAll;
  final double dataRowHeight;
  final double headingRowHeight;
  final double horizontalMargin;
  final double columnSpacing;
  final bool showCheckboxColumn;
  final double dividerThickness;
  final List<DataRow> rows;


  const PwcDataTable({

  this.key, this.columns, this.sortColumnIndex, this.sortAscending, this.onSelectAll, this.dataRowHeight, this.headingRowHeight, this.horizontalMargin, this.columnSpacing, this.showCheckboxColumn, this.dividerThickness, this.rows})
      :
        assert(columns != null),
        super(key: key);


  @override
  _PwcDataTableState createState() {
    // TODO: implement createState
    return _PwcDataTableState();
  }
}


class _PwcDataTableState extends State<PwcDataTable>{
  @override
  Widget build(BuildContext context) {
    return DataTable(
      columns: widget.columns,
      rows: widget.rows,
    );
  }
}

/*void main() {
   runApp(App());
 }

 class App extends StatelessWidget {
   @override
   Widget build(BuildContext context) {
     return MaterialApp(
       title: "",
       home: Scaffold(
         appBar: AppBar(
           title: Text(""),
         ),
         body: Center(
           child: PwcDataTable(rows: <DataRow>[
             DataRow(
               cells: <DataCell>[
                 DataCell(Text('Soumya')),
                 DataCell(Text('23')),
                 DataCell(Text('Pro')),
               ],
             ),
             DataRow(
               cells: <DataCell>[
                 DataCell(Text('Karan')),
                 DataCell(Text('22')),
                 DataCell(Text('Noob')),
               ],
             ),

           ],
           columns: <DataColumn>[
             DataColumn(
               label: Text(
                 'Name',
                 style: TextStyle(fontStyle: FontStyle.italic),
               ),
             ),
             DataColumn(
               label: Text(
                 'Age',
                 style: TextStyle(fontStyle: FontStyle.italic),
               ),
             ),
             DataColumn(
               label: Text(
                 'Role',
                 style: TextStyle(fontStyle: FontStyle.italic),
               ),
             ),
           ],
           horizontalMargin: 24.0,headingRowHeight: 56.0, columnSpacing: 56.0,)
         ),
       ),
     );
   }
 }*/

