import 'package:flutter/material.dart';

class PwcGrid extends StatefulWidget {
  final List<String> area;
  final int count;
  final Key key;
  final Axis scrollDirection;
  final bool reverse;
  final ScrollController controller;
  final bool primary;
  final ScrollPhysics physics;
  final bool shrinkWrap;
  final EdgeInsetsGeometry padding;
  final SliverGridDelegate gridDelegate;
  final IndexedWidgetBuilder itemBuilder;
  final int itemCount;
  final bool addAutomaticKeepAlives;
  final bool addRepaintBoundaries;
  final bool addSemanticIndexes;
  final double cacheExtent;
  final int semanticChildCount;

  const PwcGrid( {
    this.key, this.scrollDirection, this.reverse, this.controller, this.primary, this.physics, this.shrinkWrap, this.padding, this.gridDelegate, this.itemBuilder, this.itemCount, this.addAutomaticKeepAlives, this.addRepaintBoundaries, this.addSemanticIndexes, this.cacheExtent, this.semanticChildCount, this.area, this.count,})
      :

        super(key: key);


  @override
  _PwcGridState createState() {
    // TODO: implement createState
    return _PwcGridState();
  }
}


class _PwcGridState extends State<PwcGrid>{
  @override
  Widget build(BuildContext context) {
    return Container(
      child: new GridView.builder(
          padding: const EdgeInsets.all(10),
          itemCount: widget.area.length,
          gridDelegate:
          new SliverGridDelegateWithFixedCrossAxisCount(crossAxisCount: widget.count),
          itemBuilder: (BuildContext context, int index) {
            return new Card(
              margin: const EdgeInsets.all(7),
              color: Color(0xff272d36), // add color from styles
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  Expanded(
                  child: Center(
                  child: InkResponse(
                  child: new Center(
                  child: new Text(
                      "${widget.area[index]}",
                        style: new TextStyle(
                        fontSize: 18.0, // add fontsize from styles
                        color: Colors.white, //import from styles
                ),
              ),
            ),
            onTap: () => {},
            ),
            ),
                  ),
            ]),
            );
          },
    ),
    );

}
}

/*
void main() {
  runApp(App());
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: "",
      home: Scaffold(
        appBar: AppBar(
          title: Text(""),
        ),
        body: Center(
            child: PwcGrid(area:['soumya', 'football', 'chill'], count: 1,)
        ),
      ),
    );
  }
}*/
