import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:charts_flutter/flutter.dart' as charts;

class ChartsBar extends StatefulWidget{
  List<charts.Series<dynamic,dynamic>> chartData;
  ChartsBar(this.chartData);

  @override
  State<StatefulWidget> createState() {
    return _chartsbar(chartData);
  }

}

class _chartsbar extends State<ChartsBar>{
  List<charts.Series<dynamic,dynamic>> chartData;

  _chartsbar(this.chartData);


  @override
  Widget build(BuildContext context) {
    return _CreateBarChart(chartData);
  }

  Widget _CreateBarChart(List<charts.Series<dynamic,dynamic>> objSeries)
  {
    charts.BarChart mBarChart;
    mBarChart = new charts.BarChart(objSeries,
        animate:true ,
        animationDuration: Duration(seconds: 4),
        behaviors: [
          new charts.DatumLegend(
            position: charts.BehaviorPosition.bottom,
            outsideJustification: charts.OutsideJustification.middleDrawArea,
            horizontalFirst: false,
            desiredMaxRows: 1,
          )
        ],
        defaultRenderer: new charts.BarRendererConfig(
          
        ),
    );

    return mBarChart;
  }


}


