import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/welcome-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import '../../../theme/theme.dart';
import '../../../theme/theme.dart';
import '../custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/custom-VerticalTabs.dart';
import 'package:flutter_svg/svg.dart';
import '../custom-appBar.dart';
import '../globals.dart';
import 'Homepage.dart';
import 'piggybank.dart';
import 'searchPage.dart';
import 'service-history.dart';

//void main() => runApp(MaterialApp(debugShowCheckedModeBanner: false,home: PaymentScreen()));

class PaymentScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    leftNavRouting(int nIndex, String title) async {
      print(nIndex);
      print(title);
      if (nIndex < 2) {
        tabControllerForCompositeWidget.animateTo(nIndex);
      } else if(nIndex==2) {
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => ServiceHistory()),
        );
      }
      else{
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(

          context,
          MaterialPageRoute(builder: (context) => WelcomePage()),
        );

      }
    }

    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
      if (sText == 'Alarm') {
        print('We can add routing here');
      }
    }

    TextFieldContents textFieldObj = new TextFieldContents(15, true, true,);
    TextFieldContents textFieldObj2 = new TextFieldContents(20, true, false);

    onTextSubmit(String sText) {
      print(sText);
    }
    onTextSubmit2(String sText) {
      var amt = int.parse(sText);
      print(amt);
    }



    TextFieldParameters finalObj = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Card Number",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj2 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Name on Card",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj3 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "CVV",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj4 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Expiry",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj5 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Recipient Account Number",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj6 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Payee Name",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj7 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "IFSC Code",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj8 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Branch Name",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj9 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Deduction Amount",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );

    TextFieldParameters finalObj10 = new TextFieldParameters(decoration: InputDecoration(
      //filled: true,
      hintText: "Password",
      filled: true,
      fillColor: LiteThemeData().backgroundColor,
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(heightFifty),
          borderSide: BorderSide(
            color: LiteThemeData().primaryColorDark,
          )),

    )
    );


    onButtonPressed(bool sbool) {
      if(sbool == true){
        print("Proceeding to Payment");
      }
    }

    FlatButtonParameters finalObject = new FlatButtonParameters(color: StartupTheme().splashColor,buttonText: 'Proceed to Payment', onPressed: onButtonPressed, fontSize: fontMedium, shape: RoundedRectangleBorder(borderRadius: new BorderRadius.circular(heightThirty)));
    FlatButtonParameters finalObject1 = new FlatButtonParameters(color: StartupTheme().splashColor,buttonText: 'Save for Later', onPressed: onButtonPressed, fontSize: fontMedium, shape: RoundedRectangleBorder(borderRadius: new BorderRadius.circular(heightThirty)));
    List<ListItems> drawerList = [
      ListItems(Icons.room_service, "Services"),
      ListItems(Icons.card_travel, "Grants"),
      ListItems(Icons.history, "History"),
      ListItems(Icons.person,"Switch Persona"),
    ];

    // These values should come from the global variable now
    User UserObj = new User(
        "images/account_picture.jpg",
        userName,
        designation + ", " + companyname,
        Colors.red,
        FontWeight.bold,
        13,
        null);

    AppBarParameters appBarParams = new AppBarParameters(
        backgroundColor: StartupTheme().splashColor,
        elevation: 5,
        bottomOpacity: 1.0,
        toolbarOpacity: 1.0,
        titleSpacing: 1.0,
        centerTitle: false,
        title: Image.asset('images/logo.jpg', height: 50, width: 50,)
    );
    List<Widget> appBarIcons = [
      IconButton(
        icon:  SvgPicture.asset('images/search.svg',height: 20,width: 20,),
        tooltip: 'Opens the search bar',
        onPressed: () {
          Navigator.push(
              context, MaterialPageRoute(builder: (context) => SearchPage()));
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/graphs.svg',height: 20,width: 20,),
        tooltip: 'Opens Graphs',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => DashboardPageStartup()),
          );
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/wallet.svg',height: 20,width: 20,),
        tooltip: 'Opens Wallet',
        onPressed: () {
          showDialog(
              context: context,
              builder: (context) =>
                  PiggyBank());
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/services.svg',height: 20,width: 20,),
        tooltip: 'Opens Services',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => Service()),
          );
        },
      ),

    ];


    List<TabBarProducts> vtabs = [];
    TabBarProducts vtab1 = new TabBarProducts("" , Icons.credit_card,
        SingleChildScrollView(
          child: Container(
            //height: 400,
            //width: 400,
            padding: EdgeInsets.all(heightTwenty),
            //margin: EdgeInsets.only(top: 50),
            child: Column(
              children: <Widget>[
                Text("DEBIT/CREDIT CARD",style: TextStyle(fontSize: 20,fontWeight: FontWeight.bold),),
                SizedBox(height: 25,),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj, params: finalObj, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 25),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj2, params: finalObj2, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 25),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 4,
                      child: Container(height: 70, child: CustomTextField(data: textFieldObj, params: finalObj3, callbackTextfield: onTextSubmit)),
                    ),
                    SizedBox(width: 30,),
                    Expanded(
                      flex: 4,
                      child: Container(height: 70, child: CustomTextField(data: textFieldObj2, params: finalObj4, callbackTextfield: onTextSubmit)),
                    ),
                  ],
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject),
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject1),
                ),
              ],
            ),
          ),
        ));

//    TabBarProducts vtab2 = TabBarProducts("Debit \nCard", Icons.credit_card,
//        Container(
//          height: 400,
//          width: 400,
//          padding: EdgeInsets.all(heightTwenty),
//          margin: EdgeInsets.only(top: 50),
//          child: Column(
//            children: <Widget>[
//              Row(
//                children: <Widget>[
//                  Expanded(
//                    flex: 3,
//                    child: Text("Card Number"),
//                  ),
//                  Expanded(
//                    flex: 7,
//                    child: Container( height: 50, child: CustomTextField(data: textFieldObj, params: finalObj, callbackTextfield: onTextSubmit)),
//                  )
//                ],
//              ),
//              SizedBox(height: 30),
//              Row(
//                children: <Widget>[
//                  Expanded(
//                    flex: 3,
//                    child: Text("Name on Card"),
//                  ),
//                  Expanded(
//                    flex: 7,
//                    child: Container( height: 50, child: CustomTextField(data: textFieldObj2, params: finalObj, callbackTextfield: onTextSubmit)),
//                  )
//                ],
//              ),
//              SizedBox(height: 30),
//              Row(
//                children: <Widget>[
//                  Expanded(
//                    flex: 2,
//                    child: Text("CVV"),
//                  ),
//                  Expanded(
//                    flex: 2,
//                    child: Container(height: 50, child: CustomTextField(data: textFieldObj, params: finalObj, callbackTextfield: onTextSubmit)),
//                  ),
//                  SizedBox(width: 7,),
//                  Expanded(
//                    flex: 4,
//                    child: Text("Expiry Date",),
//                  ),
//                  Expanded(
//                    flex: 4,
//                    child: Container(height: 50, child: CustomTextField(data: textFieldObj2, params: finalObj, callbackTextfield: onTextSubmit)),
//                  ),
//                ],
//              ),
//              SizedBox(height: 30),
//              CustomFlatButton(finalObject),
//            ],
//          ),
//        ));


    TabBarProducts vtab3 = new TabBarProducts("", Icons.wifi,
        SingleChildScrollView(
          child: Container(
            //height: 400,
            //width: 400,
            padding: EdgeInsets.all(heightTwenty),
            //margin: EdgeInsets.only(top: 50),
            child: Column(
              children: <Widget>[
                Text("INTERNET BANKING",style: TextStyle(fontSize: 20,fontWeight: FontWeight.bold),),
                SizedBox(height: 30,),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj, params: finalObj5, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj2, params: finalObj6, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj, params: finalObj7, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj2, params: finalObj8, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject),
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject1),
                ),
              ],
            ),
          ),
        ));

    TabBarProducts vtab4 = new TabBarProducts("", Icons.card_giftcard,
        SingleChildScrollView(
          child: Container(
            //height: 400,
            //width: 400,
            padding: EdgeInsets.all(heightTwenty),
            //margin: EdgeInsets.only(top: 50),
            child: Column(
              children: <Widget>[
                Text("GRANTS BALANCE",style: TextStyle(fontSize: 20,fontWeight: FontWeight.bold),),
                SizedBox(height: 30,),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj2, params: finalObj9, callbackTextfield: onTextSubmit2)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                Row(
                  children: <Widget>[
                    Expanded(
                      flex: 7,
                      child: Container( height: 70, child: CustomTextField(data: textFieldObj, params: finalObj10, callbackTextfield: onTextSubmit)),
                    )
                  ],
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject),
                ),
                SizedBox(height: 30),
                ButtonTheme(
                  height: heightFifty,
                  minWidth: heightThreeHundred,
                  child: CustomFlatButton(finalObject1),
                ),
              ],
            ),
          ),
        ));

    vtabs.add(vtab1);
    vtabs.add(vtab3);
    vtabs.add(vtab4);

    User UserObj1 = new User("https://picsum.photos/id/1005/5760/3840.jpg",
        "Username", "abc@gmail.com", Colors.red, FontWeight.bold, 13, null);
    CustomLinearProgressBarParameters pb = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().secondaryHeaderColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );

    List<ListItems> L1 = [];
    ListItems lObj1 = new ListItems(icon1, "About");
    ListItems lObj2 = new ListItems(icon2, "Contact Us");
    ListItems lObj3 = new ListItems(Icons.settings, "Settings");
    L1.add(lObj1);
    L1.add(lObj2);
    L1.add(lObj3);

    CustomVerticalTabParameters paramobj = new CustomVerticalTabParameters(itemExtent: 150, tabsWidth: 50, selectedTabBackgroundColor: StartupTheme().splashColor, unselectedTabBackgroundColor: StartupTheme().splashColor, indicatorColor: StartupTheme().hintColor, changePageDuration: Duration(seconds: 2), changePageCurve: Curves.easeInOut);

/*    List<Widget> appbaricons = [];
    Widget iconObj1 = CustomIconButton(finalObj);
    Widget iconObj2 = CustomIconButton(finalObj2);
    Widget iconObj3 = CustomIconButton(finalObj3);
    appbaricons.add(iconObj2);
    appbaricons.add(iconObj1);
    appbaricons.add(iconObj3);
    AppBarParameters paramobject = new AppBarParameters(elevation: 5, bottomOpacity: 1.0, toolbarOpacity: 1.0, titleSpacing: 1.0, centerTitle: true);*/

    return MaterialApp(

      debugShowCheckedModeBanner: false,
      title: 'Title',
      theme: StartupTheme(),
      home: Scaffold(
        drawer: CustomDrawer(drawerList, leftNavRouting, UserObj,pb),
        appBar: CustomAppBar(appBarIcons, appBarParams),
        body: SafeArea(
            child: Container(
                child: VerticalTabs(
                  tabsInfo: vtabs,
                  verticalTabCallback: onclickLeftNav,
                  params: paramobj,
                )
            )),
      ),
    );
  }
}
