import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/Homepage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/HomepageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/custom-fingerprint.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';

class ThumbAuth extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    onAuthenticated(bool sBool) {
      if (sBool) {
        print(sBool);
        if (userType == "startup") {
          Navigator.push(context,
              MaterialPageRoute(builder: (context) => DashboardPageStartup()));
        }
        else{
          Navigator.push(context,
              MaterialPageRoute(builder: (context) => DashboardPageVendor()));
        }
      }
    }

    return MaterialApp(debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      home: Container(child: customFingerprint(authCallback: onAuthenticated)),
    );
  }
}
