import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/feature-card.dart';
import 'package:flutter_widgets_library/view/widgets/custom-icon.dart';

class FirstRoute extends StatelessWidget {
  static IconState icon =new IconState(Icons.warning, LiteThemeData().backgroundColor,heightThirty);
  final FeaturedCardData FeatureCardata = new FeaturedCardData(
      iconVisibility: true,
      title: 'Sorry !! You are not eligible',
      containerWidth: 380,
      icon: CustomisedIcon(icon),
      footerText: 'For furthur queries kindly write us toxyz@vic.com',
      btnText: 'OK',
      firstBtnText: 'Transaction1',
      secondBtnText: 'Transaction2',
      containerHeight: 600,
      bodyText:
          "As this program / portal is specific to <STATE> and that you are not permanent resident within this <STATE> ,you can not register for this portal.");
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Material Components'),
        backgroundColor: MediumGreyThemeData().highlightColor,
      ),
      body: Center(
        child: Container(
          child: SingleChildScrollView(
            child: Column(
              children: <Widget>[
                featureCard(FeatureCardata),
              ],
            ),
          )
        ),
      ),
    );
  }
}
