import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';



    Widget showTabs(List<TabBarParameters> p) {
      List<Tab> tab = [];
      var item;
      String t;
      for (var i = 0; i < p.length; i++) {
        item = new Tab(text: p[i].text,
            icon: p[i].icons != null ? p[i].icons : Icon(Icons.favorite));
        tab.add(item);
      }


      return DefaultTabController(
        length: p.length,
        child:
        Container(
            child:
            TabBar(
              labelColor: AppColorsMediumGrey.white,
              indicatorColor: AppColorsMediumGrey.black,
              unselectedLabelColor: AppColorsMediumGrey.yellow,
              indicator: BoxDecoration(
                boxShadow: [
                  BoxShadow(color: AppColorsYellow.tdColor, offset: Offset(2.0, 2.0))
                ],
                color: AppColorsYellow.tColor,

              ),


              tabs: tab,


            )
        ),
      );
    }

