import 'package:flutter/material.dart';

class PwcIcon extends StatefulWidget {


  final IconData icon;
  final Key key;
  final double size;
  final Color color;
  final String semanticLabel;

  const PwcIcon({
    this.semanticLabel,
    this.color,
    this.size,
    this.key,
    this.icon,
  })
      :
        assert(icon != null),
        super(key: key);


  @override
  _PwcIconState createState() {
    // TODO: implement createState
    return _PwcIconState();
  }
}


class _PwcIconState extends State<PwcIcon>{
  @override
  Widget build(BuildContext context) {
    return new Container(
      child: Icon(
        widget.icon,
        color: widget.color,
        size: widget.size,
      ),
    );
  }
}

/*
void main() {
   runApp(App());
 }

 class App extends StatelessWidget {
   @override
   Widget build(BuildContext context) {
     return MaterialApp(
       title: "",
       home: Scaffold(
         appBar: AppBar(
           title: Text(""),
         ),
         body: Center(
           child: PwcIcon(icon:Icons.beach_access, color: Colors.blue,size: 36.0,)
         ),
       ),
     );
   }
 }*/
