import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/utils/consts.dart';


  

    Widget showTabBar(List<TabBarParameters> tablist, void  Function(int)callback) {
      List<Tab> tab = [];
      var tabs;

      for (var tabvar = 0; tabvar< tablist.length; tabvar++) {
        tabs = new Tab(text: tablist[tabvar].text,
            icon: tablist[tabvar].icons != null ? tablist[tabvar].icons : Icon(Icons.favorite));
        tab.add(tabs);
      }



      return DefaultTabController(
          length: tablist.length,
          child:
          Container(
          child:
            TabBar(
              labelColor:MediumGreyThemeData().focusColor,
              indicatorColor: MediumGreyThemeData().indicatorColor,
              unselectedLabelColor:MediumGreyThemeData().disabledColor,
              onTap:  callback,
              indicator: BoxDecoration(
                boxShadow: [
                  BoxShadow(color: MediumGreyThemeData().primaryColorLight, offset: Offset(offset1, offset2))
                ],
                color: MediumGreyThemeData().primaryColorDark,

              ),
              tabs: tab,
      ),
          ),
            );


    }

